package beilv.system.service;


import beilv.system.domain.SysMember;
import beilv.system.domain.vo.AppAuthLoginRespVO;
import beilv.system.domain.vo.AppAuthWeixinMiniAppLoginReqVO;


/**
 * 会员的认证 Service 接口
 * <p>
 * 提供用户的账号密码登录、token 的校验等认证相关的功能
 *
 * @author yshop
 */
public interface IAppAuthService {


    /**
     * 微信小程序的一键登录
     *
     * @param reqVO 登录信息
     * @return 登录结果
     */
    AppAuthLoginRespVO weixinMiniAppLogin(AppAuthWeixinMiniAppLoginReqVO reqVO) throws Exception;


}
