package beilv.system.domain.dto;

import beilv.common.annotation.Excel;
import beilv.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 兑换礼品dto
 *
 * @author ruoyi
 * @date 2025-01-02
 */
@Data
public class SysMemberDTO {

    /**
     * 用户id
     */
    private Long id;

    /**
     * 消耗积分
     */
    @Excel(name = "消耗积分")
    private BigDecimal integral;

    /**
     * 礼品名称
     */
    @Excel(name = "礼品名称")
    private String giftName;

}
